Skip to main content
GET
Get verified contract

Path Parameters

chainId
string
required

The chainId number of the EVM chain

Required string length: 1 - 20
Pattern: ^\d+$
Example:

"11155111"

address
string
required

Contract's 20 byte address in hex string with the 0x prefix. Case insensitive.

Required string length: 42
Pattern: (\b0x[a-fA-F0-9]{40}\b)
Example:

"0x2738d13E81e30bC615766A0410e7cF199FD59A83"

Query Parameters

fields
string

Comma seperated fields to include in the response. Can also take all

Example:

"abi,metadata,creationBytecode.onchainBytecode,deployment.blockNumber,compilation"

omit
string

Comma seperated fields to NOT include in the response. All fields except matching ones will be returned. Can't be used simultanously with fields.

Example:

"userdoc,devdoc,storageLayout,transientStorageLayout,compilation.sources"

Response

Example response

match
enum<string>
required
Available options:
match,
exact_match,
null
creationMatch
enum<string>
required
Available options:
match,
exact_match,
null
runtimeMatch
enum<string>
required
Available options:
match,
exact_match,
null
chainId
string
required
Required string length: 1 - 20
Pattern: ^\d+$
Example:

"11155111"

address
string
required

Contract Address in hex string. Can be checksummed or not (i.e. can contain capital letters)

Pattern: (\b0x[a-fA-F0-9]{40}\b)
Example:

"0xDFEBAd708F803af22e81044aD228Ff77C83C935c"

verifiedAt
string<date-time>
Example:

"2024-07-24T12:00:00Z"

matchId
string
Example:

"3266227"

creationBytecode
CreationBytecodeResponse · object
runtimeBytecode
RuntimeBytecodeResponse · object
deployment
object
sources
object
compilation
object
abi
object[]
metadata
object
storageLayout
object

Storage layout of the contract. Format differs by language: Solidity uses {storage: [...], types: {...}}, Vyper uses {variableName: {type, slot, n_slots}}.

transientStorageLayout
object
userdoc
object
devdoc
object
sourceIds
object

Same as stdJsonOutput.sources

additionalInput
object | null

Additional compiler input fields from the top level of the standard JSON input that are not part of settings. Currently contains Vyper's storage_layout_overrides when used.

stdJsonInput
object

The input fields conforming the compiler standard-JSON format.

stdJsonOutput
object

The outputs conforming the compiler standard JSON format

signatures
object

The signatures of the contract grouped by type (function, event, error).

proxyResolution
ProxyResolution · object